Package org.apache.cayenne.di

## Class DIRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cayenne.di.DIRuntimeException

- All Implemented Interfaces:
    `Serializable`

      public class DIRuntimeException
      extends RuntimeException

  A runtime exception thrown on DI misconfiguration.
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DIRuntimeException()` | Creates new `ConfigurationException` without detail message.
    `DIRuntimeException​(String messageFormat, Object... messageArgs)` | Constructs an exception with the specified message with an optional list of message formatting arguments.
    `DIRuntimeException​(String messageFormat, Throwable cause, Object... messageArgs)` |
    `DIRuntimeException​(Throwable cause)` | Constructs an exception wrapping another exception thrown elsewhere.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DIRuntimeException

          public DIRuntimeException()

      Creates new `ConfigurationException` without detail message.

    - #### DIRuntimeException

          public DIRuntimeException​(String messageFormat,
                                    Object... messageArgs)

      Constructs an exception with the specified message with an optional list of message formatting arguments. Message formatting rules follow "String.format(..)" conventions.

    - #### DIRuntimeException

          public DIRuntimeException​(Throwable cause)

      Constructs an exception wrapping another exception thrown elsewhere.

    - #### DIRuntimeException

          public DIRuntimeException​(String messageFormat,
                                    Throwable cause,
                                    Object... messageArgs)